l i n u x - u s e r s - g r o u p - o f - d a v i s
L U G O D
 
Next Meeting:
August 18: A professional photographer's view of Linux
Next Installfest:
TBD
Latest News:
Aug. 18: Discounts to "Velocity" in NY; come to tonight's "Photography" talk
Page last updated:
2003 Apr 11 05:54

The following is an archive of a post made to our 'vox-tech mailing list' by one of its subscribers.

Report this post as spam:

(Enter your email address)
Re: [vox-tech] resolving dependencies with XFree86-4.3.0-3
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [vox-tech] resolving dependencies with XFree86-4.3.0-3



On Thu, Apr 10, 2003 at 03:04:22AM -0700, Ryan wrote:
> 	I'm running Red Hat 8 and I am trying to upgrade from XFree86-4.2.0-72
> to XFree86-4.3.0-3 and it seems that this site has
> (ftp://rpmfind.net/linux/rawhide/1.0/i386/RedHat/RPMS/) has all the Red
> Hat packages I need.
> 
> 	However, when I try to install the newer XFree86 I get the following
> 
> ----------------------------
> [root@speedy gnome]# rpm -Uvh  XFree86-4.3.0-3.i386.rpm
> XFree86-devel-4.3.0-3.i386.rpm XFree86-libs-4.3.0-3.i386.rpm
> XFree86-libs-data-4.3.0-3.i386.rpm XFree86-xfs-4.3.0-3.i386.rpm
> XFree86-xdm-4.3.0-3.i386.rpm XFree86-twm-4.3.0-3.i386.rpm
> XFree86-base-fonts-4.3.0-3.i386.rpm
> XFree86-truetype-fonts-4.3.0-3.i386.rpm
> warning: XFree86-4.3.0-3.i386.rpm: V3 DSA signature: NOKEY, key ID
> 897da07a
> error: Failed dependencies:
>         kernel-drm = 4.3.0 is needed by XFree86-4.3.0-3
>         Xft-devel >= 1.9.1.020626.1517-1 is needed by (installed)
> pango-devel-1.1.1-1
>         Xft is needed by (installed) libgnomeui-2.0.3-3
>         Xft >= 1.9.1 is needed by (installed) qt-3.0.5-17
> ------------------------------
> 
> unresolved dependencies on the Xft. I currently have 
> 
> Xft-2.0-1
> Xft-devel-2.0-1
> 
> installed. I'm not exactly sure how an rpm works, but my guess as to
> what is going on is that one of the XFree86 rpms contains outdated Xft
> files. 
> 
> 	To resolve these dependencies should I find new XFree86 rpms or is it
> possible to use the ones I have downloaded already? 
> 
> I'm afraid 'rpm -Uvh' is about the extent of my rpm knowledge and I
> don't have a clue where to go from here.

Use the force. Literally. RPM's --force option will get you there.
Xft is an adapter so X can use xft fonts.


_______________________________________________
vox-tech mailing list
vox-tech@lists.lugod.org
http://lists.lugod.org/mailman/listinfo/vox-tech



LinkedIn
LUGOD Group on LinkedIn
Sign up for LUGOD event announcements
Your email address:
facebook
LUGOD Group on Facebook
'Like' LUGOD on Facebook:

Hosting provided by:
Sunset Systems
Sunset Systems offers preconfigured Linux systems, remote system administration and custom software development.

LUGOD: Linux Users' Group of Davis
PO Box 2082, Davis, CA 95617
Contact Us

LUGOD is a 501(c)7 non-profit organization
based in Davis, California
and serving the Sacramento area.
"Linux" is a trademark of Linus Torvalds.

Sponsored in part by:
Appahost Applications
For a significant contribution towards our projector, and a generous donation to allow us to continue meeting at the Davis Library.